
                         +----------------------+
                         |  WEDL Release Notes  |
                         +----------------------+


2.03 - July 30, 1992
--------------------

    *   Minor enhancements and bug fixes.


2.02 - July 22, 1992
--------------------

    *   Fixed bug that caused WEDL to require the SHELL.DLL library in order
        to run on Windows 3.0 systems.

    *   A default error message will be displayed if an external error was not
        handled by the external (programmer-written) error handler.


2.01 - June 30, 1992
--------------------

    *   Improved display speed.

    *   Fixed numeric field bug.

    *   New form feature - FMF_COMPAT.  Windows compatibility feature. If a
        newer version of Windows comes out, this feature may need to be
        specified for compatibility.


2.00 - May 1, 1992
------------------

    *   Windows 3.1 compatibility.

    *   Improved field validation capabilities.

    *   Ability to handle internal WEDL errors (eg. Field Cannot Be Blank).

    *   Expanded context-sensitive help.  Forms can now have a default help
        context for controls without an individual help context.

    *   Support for drag and drop.  Fields can accept drag and drop file
        names from File Manager.  (On systems with Windows 3.1+ only)

    *   Enable-links.  Provide for automatic enabling/disabling of controls
        based upon the condition of a field or button.

    *   Improved numeric data entry.

    *   3-Level Undo in fields.

    *   Ability to select text within a field.

    *   Improved clipboard support.

    *   Improved international support.

    *   Turbo Pascal for Windows support.

    *   Support for Borland's BWCC.DLL custom control library.


Using WEDL with C++ and OWL:
----------------------------

    Create a derived class from OWL's TDialog class:

        class TMyDialog : public TDialog {
            public:
                .....
            private:
                HFORM hform;    // WEDL's form handle
        }

    Define the form during the TMyDialog::SetupWindow virtual function:

        void TMyDialog::SetupWindow()
        {
            TDialog::SetupWindow();   // initialize base class
            hform = form_begin( HWindow, ... );
            // do all WEDL definitions (field_define, button_define, etc.)
            form_end( hform );
        }

    Save the form during the TMyDialog::CanClose virtual function:

        BOOL TMyDialog::CanClose()
        {
            if( form_validate( hform ) != NULL ) return( FALSE );
            form_save( hform );
            return( TRUE );
        }

    Terminate the form during the TMyDialog::Destroy virtual function:

        void TMyDialog::Destroy( int return_value )
        {
            form_cancel( hform );
            TDialog::Destroy( return_value );
        }

